<?php
/*
Plugin Name: AStat
Version: 1.3.1
Description: Statistiques avancées / Advanced statistics
Plugin URI: http://phpwebgallery.net/ext/extension_view.php?eid=172
*/

/* ----------------------------------------------------------------------

Author : grum@grum.dnsalias.com :: http://photos.grum.dnsalias.com

1.0   - 15/09/07 - 1ère version
1.0.1 - 15/09/07 - correction de l'import, l'usage des stats nativements en place dans PWG fonctionnent :)
1.1.0 - 16/09/07 + Géolocalisation des IP dans le template AStat_by_ip.tpl [par VDigital http://forum.phpwebgallery.net/profile.php?id=1227]
                 + Paramétrage de la période affichée par défaut dans l'onglet "par période"
                 + Paramétrage des couleurs : avoir un aperçu de la couleur en temps réél (pas indispensable mais çà fait toujours bien ^^;)
                 + voir la vignette représentant la catégorie quand on la survole (stats par catégories)
		 + pouvoir trier différement les stats par catégories : %page / %image / images vues ; paramétrage par défaut à gérer
		 - désactiver la fonction d'import => plus nécessaire dans les version qui suivent, la 1.0.1 gérant très bien le sujet
		 + gérer la config dans la table CONFIG_TABLE => procédure de désinstallation à prévoir ?
		 - correction d'un bug sur la requete par catégorie (préfixe des tables était en dur...)
		 + avoir un onglet "par images" fonctionnant comme l'onglet "par catégorie" (restitue : Nb Vue/Nb IP + thumb)
1.1.1 - 17/09/07 + révision du template "AStat_by_ip.tpl" ([géolocalisation] placé devant l'IP, c'est plus joli :))
		 - correction du problème cité dans [http://forum.phpwebgallery.net/viewtopic.php?pid=71127#p71127] lors de l'installation du plugin
		 - corriger le problème cité dans [http://forum.phpwebgallery.net/viewtopic.php?pid=71128#p71128] sur les index inexistants
		 - correction d'un bug sur l'extension des thumb [http://forum.phpwebgallery.net/viewtopic.php?pid=71088#p71088]
1.2.0 - 20/09/07 + ajouter une 4ème barre "catégorie" sur stats par période [http://forum.phpwebgallery.net/viewtopic.php?pid=71161#p71161]
	 	 + stat par IP : cliquer sur nb images vues pour aller sur l'onglet stat par images, et filtrer les images vues par l'IP sur la période
		 - pb résiduel sur les miniatures définitivement réglé ! [http://forum.phpwebgallery.net/viewtopic.php?pid=71186#p71186]
		 + gérer une procédure d'install [http://forum.phpwebgallery.net/viewtopic.php?pid=71187#p71187]
			=> (config par défaut) / désinstall (supprimer la config) proprement
		 + gérer / filtrer les IP correspondant à des users sur la page IP => correspond à la demande ? 
		 + option pour afficher la durée des requetes
		 + prendre en compte remarques du [http://forum.phpwebgallery.net/viewtopic.php?pid=71076#p71076]
			=> stat par catégorie, si pas de catégorie, afficher la section à la place
		 + outil de resynchronisation de la table historique 
			=> user_id inexistant dans USERS_TABLE à forcer à 2 (guest)
1.3.0 - 29/09/07 - correction affichage du libellé pour la section 'list'
		 + ajout libellé pour section 'old_deleted_cat' (issue de ImportStat)
		 + outils : infos sur l'historique, rajouter la taille de la base
		 + ajouter dans le titre des colonnes la couleur des barres [http://forum.phpwebgallery.net/viewtopic.php?pid=71814#p71814]
		 + purger l'historique des évènements antérieurs à une date + optimisation de la table
		 * pourquoi certaines sections ressortent en "catégorie" [http://forum.phpwebgallery.net/viewtopic.php?pid=71823#p71823] 
			=> après tests, il semble que çà corresponde à la page d'accueil 
		 - correction de l'anomalie sur la requete pour stat par IP [http://forum.phpwebgallery.net/viewtopic.php?pid=71967#p71967]
			=> requête revue pour fonctionner avec MySQL 5
		 * bug sur les requetes comptant le nombre d'images (ne pas prendre en compte dans history les image_id = 0 ????)
			=> correspond aux images supprimées ; elles restent dans les stats, stats à purger au besoin
		 + ajout d'une section 'deleted_cat' & libellé pour les catégories ayant été supprimées et encore présentes dans les stats
		 + divers outils de resynchronisation et purge de l'historique suite à déplacement d'une photo d'une catégorie	
1.3.1 - 30/09/07 - correction des tables "phpwebgallery_" par $prefixeTable dans les requêtes outils

:: TO DO
	* ? pouvoir regrouper certaines sections en 1 seule pour les stats par catégories [http://forum.phpwebgallery.net/viewtopic.php?pid=71823#p71823]
	* ? pouvoir filtrer certains identifiants ou IP dans les stats par IP ? [http://forum.phpwebgallery.net/viewtopic.php?pid=71823#p71823]



   ---------------------------------------------------------------------- */
// pour faciliter le debug :o)
// ini_set('error_reporting', E_ALL);
// ini_set('display_errors', true);

if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');

define('ASTAT_DIR' , basename(dirname(__FILE__)));
define('ASTAT_PATH' , PHPWG_PLUGINS_PATH . ASTAT_DIR . '/');

define('ASTAT_VERSION' , '1.3.1');

include_once("AStat_class.inc.php");

$obj = new AStat_Plugin();
$obj->load_config();
 
add_event_handler('get_admin_plugin_menu_links', array(&$obj, 'plugin_admin_menu') ); 
add_event_handler('loc_end_page_header', array(&$obj, 'Modifie_CSS'));

set_plugin_data($plugin['id'], $obj)

?>
